## GcrComboSelector GcrComboSelector — A selector widget to select a single certificate or key. |

## Functions

GcrCollection * | gcr_combo_selector_get_collection ()
GcrComboSelector * | gcr_combo_selector_new ()
GObject * | gcr_combo_selector_get_selected ()
void | gcr_combo_selector_set_selected ()

## Properties

GcrCollection * | collection | Read / Write / Construct Only

## Types and Values

struct | GcrComboSelector
struct | GcrComboSelectorClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkComboBox
                            ╰── GcrComboSelector

## Implemented Interfaces

GcrComboSelector implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Description

The GcrComboSelector can be used to select a certificate or key. It allows the user to select one object from the selector at a time.

## Functions

### gcr_combo_selector_get_collection ()

    GcrCollection *
    gcr_combo_selector_get_collection (GcrComboSelector *self);

Get the collection that this selector is displaying objects from.

#### Parameters

self | The selector |

#### Returns

The collection, owned by the selector.

[transfer none]

### gcr_combo_selector_new ()

    GcrComboSelector *
    gcr_combo_selector_new (GcrCollection *collection);

Create a new GcrTreeSelector.

#### Parameters

collection | The collection that contains the objects to display |

#### Returns

A newly allocated selector, which should be released with `g_object_unref()`.

### gcr_combo_selector_get_selected ()

    GObject *
    gcr_combo_selector_get_selected (GcrComboSelector *self);

Get the selected object in the selector, or `NULL` if nothing selected.

#### Parameters

self | The selector |

#### Returns

the selected object, owned by the selector, or `NULL`.

[transfer none]

### gcr_combo_selector_set_selected ()

    void
    gcr_combo_selector_set_selected (GcrComboSelector *self,
                                     GObject *selected);

Set the currently selected object in the selector, or clear the selection if selected is set to `NULL`.

#### Parameters

self | The selector |
selected | the object to select or `NULL`. | [allow-none]

## Types and Values

### struct GcrComboSelector

    struct GcrComboSelector;

A combo selector widget.

### struct GcrComboSelectorClass

    struct GcrComboSelectorClass {
    };

The class for GcrComboSelector.

## Property Details

### The `“collection”` property

      “collection”               GcrCollection *

The collection which contains the objects to display in the selector.

Flags: Read / Write / Construct Only